# How to contribute

Contributions are greatly welcomed. 

### Github Pull Request
Github pull requests will manage all conversation and changes. Before submitting
a pull request, please make sure you have: 

- Tests: All proposed changes should have tests
- dartfmt: All code should come clean using `dartfmt` 

### Commit Messages
Commit messages should be clear, concise, and start with a tag describing the change. 
i.e. `BugFix: fixed crash when xyz`
 
**BugFix:** Fixing a bug

**Dependency:** Updating Dependencies

**Docs:** documentation changes

**Enhancement:** Improving existing functionality

**Feature:** Functionality that did not previously exist

**Peripheral:** Configuration, deployment, tooling, or other types of items

**Refactor:** Refactor existing functionality - no feature changes

**Style:** Code style changes, like `dartfmt` adjustments, dart analysis warnings, etc

**Test:** New tests without code changes

**Version:** Bump version
